# TODO:
# - Fix tests (seems require mock <= 1.0.1)
# - Cleanup cython leftovers
#
# Conditional build:
%bcond_with	doc		# don't build doc
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
# NOTE: 3.7.1 R:  mock<=1.0.1 for tests :/

%define		module	cassandra
Summary:	A Python client driver for Apache Cassandra
Summary(pl.UTF-8):	Moduł Pythona dla klientów Apache Cassandra
Name:		python-%{module}
Version:	3.20.0
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://github.com/datastax/python-driver/archive/%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	e812c012c153c3dd1bdb49378cb9ffc5
URL:		http://github.com/datastax/python-driver
BuildRequires:	libev-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
## BuildRequires:	python-futures
BuildRequires:	python-PyYAML
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	python-pytz
BuildRequires:	python-six
BuildRequires:	python-sure
Requires:	python-futures
Requires:	python-modules
#  mock<=1.0.1

%endif
%if %{with python3}
# BuildRequires:	python3-futures  # Only 3.0 and 3.1
BuildRequires:	python3-PyYAML
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-mock
BuildRequires:	python3-modules
BuildRequires:	python3-pytz
BuildRequires:	python3-six >= 1.6
BuildRequires:	python3-sure
%endif
Suggests:	python-blist

BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python client driver for Apache Cassandra. This driver works
exclusively with the Cassandra Query Language v3 (CQL3) and
Cassandra's native protocol. Cassandra versions 1.2 through 2.1 are
supported. The driver supports Python 2.6, 2.7, 3.3, and 3.4.

%description -l pl.UTF-8
Interfejs klienta dla Apache Cassandra. Działa wyłacznie w oparciu
Cassandra Query Languages v3 (CQL3) i z natywnym protkołem Cassandry.
Wspiera Cassndry w wersjach od 1.2 w góre i działa z Pythonem 2.6,
2.7, 3.3, 3.4 .

%package -n python3-%{module}
Summary:	A Python client driver for Apache Cassandra
Summary(pl.UTF-8):	Moduł Pythona dla klientów Apache Cassandra
Group:		Libraries/Python
Requires:	python3-six >= 1.6
Suggests:	python3-blist


%description -n python3-%{module}
A Python client driver for Apache Cassandra. This driver works
exclusively with the Cassandra Query Language v3 (CQL3) and
Cassandra's native protocol. Cassandra versions 1.2 through 2.1 are
supported. The driver supports Python 2.6, 2.7, 3.3, and 3.4.

%description -n python3-%{module} -l pl.UTF-8
Interfejs klienta dla Apache Cassandra. Działa wyłacznie w oparciu
Cassandra Query Languages v3 (CQL3) i z natywnym protkołem Cassandry.
Wspiera Cassndry w wersjach od 1.2 w góre i działa z Pythonem 2.6,
2.7, 3.3, 3.4 .


%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation


%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n python-driver-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%{py_sitedir}/%{module}/*.pxd
%{py_sitedir}/%{module}/*.pyx
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%dir %{py_sitedir}/%{module}/cqlengine
%{py_sitedir}/%{module}/cqlengine/*.py[co]
%dir %{py_sitedir}/%{module}/datastax
%{py_sitedir}/%{module}/datastax/*.py[co]
%dir %{py_sitedir}/%{module}/datastax/cloud
%{py_sitedir}/%{module}/datastax/cloud/*.py[co]
%dir %{py_sitedir}/%{module}/io
%{py_sitedir}/%{module}/io/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/io/libevwrapper.so
%{py_sitedir}/cassandra_driver-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/*.pxd
%{py3_sitedir}/%{module}/*.pyx
%attr(755,root,root) %{py3_sitedir}/%{module}/*.cpython-*.so
%{py3_sitedir}/%{module}/__pycache__/
%dir %{py3_sitedir}/%{module}/io
%{py3_sitedir}/%{module}/io/*.py
%attr(755,root,root) %{py3_sitedir}/%{module}/io/libevwrapper.cpython-*.so
%{py3_sitedir}/%{module}/io/__pycache__
%dir %{py3_sitedir}/%{module}/cqlengine
%{py3_sitedir}/%{module}/cqlengine/*.py
%{py3_sitedir}/%{module}/cqlengine/__pycache__
%dir %{py3_sitedir}/%{module}/datastax
%{py3_sitedir}/%{module}/datastax/*.py
%{py3_sitedir}/%{module}/datastax/__pycache__
%dir %{py3_sitedir}/%{module}/datastax/cloud
%{py3_sitedir}/%{module}/datastax/cloud/*.py
%{py3_sitedir}/%{module}/datastax/cloud/__pycache__
%{py3_sitedir}/cassandra_driver-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Mon Nov 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cassandra.git;a=log;h=master

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 083f071
- up to 3.20.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e8ff88b
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d18b59
- up to 3.14.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> adb4daa
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c51cea
- python 3.7 rebuild
- release 4 (by relup.sh)

* Sun Jan 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> aabebf2
- rel 3; fix build with new cython (are pxd/pyx files supposed to be packaged?)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 60e279b
- python 3.6
- release 2 (by relup.sh)

* Thu Dec 22 2016 Mateusz Korniak <matkor@pld-linux.org> f6349ee
- Release 1. Works for me. Some cleanup, TODO added.

* Thu Dec 22 2016 Mateusz Korniak <matkor@pld-linux.org> 516febf
- Updated to 3.7.1
- Removed already applied futures_already_in_py32.patch
- Disabled tests as they require mock<=1.0.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 95580df
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ce3c960
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 679a8f7
- automatic change: use py_build/py_install macros

* Fri Sep 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ce42ecf
- python 3.5 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d6c43f
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 880aea0
- python 3.5 rebuild
- release 2 (by relup.sh)

* Mon Jul 06 2015 Mateusz Korniak <matkor@pld-linux.org> 7ec9e6e
- Updated to 2.5.1-1.

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 00ad8e8
- python 3.4
- release 5 (by relup.sh)

* Tue Oct 07 2014 Mateusz Korniak <matkor@pld-linux.org> eff47a4
- Release 4. Cleanups, S: python-blist.

* Wed Oct 01 2014 Mateusz Korniak <matkor@pld-linux.org> 969f6de
- Rel 2. Fixed BR.

* Wed Oct 01 2014 Mateusz Korniak <matkor@pld-linux.org> 2737d47
- Initial version 2.1.1-1. (part 2)

